# Copyright (C) 1997 by John P. Weiss
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the Artistic License, included as the file
# "LICENSE" in the source code archive.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# You should have received a copy of the file "LICENSE", containing
# the License John Weiss originally placed this program under.
#################################################################
#
# Configuration variables for the program.
#
#################################################################

# Location of your X11 libraries
#
LIBX11=/usr/X11R6/lib

# Location of the Qt library
# 
LIBQT=$(LIBX11)

# Location of the Qt header files
# 
INCQT=${QT_INCL}


################
#
# You shouldn't need to change these
#
#
X11LIBS=-lX11
CXXFLAGS= -O -g -ggdb3 -I$(INCQT) -I$(BASEDIR)/include \
		-Wall -Winline -pedantic # -DDEBUG_ON
LDFLAGS= -L$(LIBQT) -lqt -Wl,-Bdynamic -L$(LIBX11) $(X11LIBS) \
	-lg++ # -lefence

###########
# End
#